Last Comment Bug 704898 - Enable elfhack
: Enable elfhack
Status: RESOLVED FIXED
[mobilestartupshrink]
:
Product: Core
Classification: Components
Component: Widget: Android (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: ---
Assigned To: Doug Turner (:dougt)
:
Mentors:
Depends on: 703305
Blocks: 713622
  Show dependency treegraph
 
Reported: 2011-11-23 11:09 PST by Mike Hommey [:glandium]
Modified: 2011-12-27 01:52 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v.1 (1.80 KB, patch)
2011-11-23 15:40 PST, Doug Turner (:dougt)
mbrubeck: review+
Details | Diff | Review

Description Mike Hommey [:glandium] 2011-11-23 11:09:59 PST
Bug 701996 broke elfhack, and elfhack was disabled as a result. Bug 703305 fixed elfhack, so we should re-enable it. Especially considering this:

11-23 19:57:42.208 E/GeckoLibLoad( 9085): Loaded libs in 1268ms total, 742ms user, 183ms system, 13 faults
11-23 19:57:42.208 E/GeckoLibLoad( 9085): Spent 273ms on relocations, 3ms on constructors

With elfhack, relocations time goes near 0, and constructors time stays under 30ms (iirc). It also makes the mount of data to uncompress smaller, which means faster decompression.

A nightly with elfhack enabled, on the same device, loads libraries under 900ms.
Comment 1 Doug Turner (:dougt) 2011-11-23 15:40:49 PST
Created attachment 576638 [details] [diff] [review]
patch v.1
Comment 2 Doug Turner (:dougt) 2011-11-23 15:50:35 PST
http://hg.mozilla.org/projects/birch/rev/ea259c780d05
Comment 3 Mike Hommey [:glandium] 2011-11-24 23:22:49 PST
Better with elfhack :)
E/GeckoLibLoad(25781): Loaded libs in 910ms total, 472ms user, 152ms system, 2 faults
E/GeckoLibLoad(25781): Spent 2ms on relocations, 14ms on constructors
Comment 4 Mike Hommey [:glandium] 2011-11-24 23:23:17 PST
I didn't mean to reopen the bug. Sorry.

Note You need to log in before you can comment on or make changes to this bug.